#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ibcm_reject_msg, "", "");
KSYMTAB_FUNC(ib_create_cm_id, "", "");
KSYMTAB_FUNC(ib_destroy_cm_id, "", "");
KSYMTAB_FUNC(ib_cm_listen, "", "");
KSYMTAB_FUNC(ib_cm_insert_listen, "", "");
KSYMTAB_FUNC(ib_send_cm_req, "", "");
KSYMTAB_FUNC(ib_send_cm_rep, "", "");
KSYMTAB_FUNC(ib_send_cm_rtu, "", "");
KSYMTAB_FUNC(ib_send_cm_dreq, "", "");
KSYMTAB_FUNC(ib_send_cm_drep, "", "");
KSYMTAB_FUNC(ib_send_cm_rej, "", "");
KSYMTAB_FUNC(ib_send_cm_mra, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_req, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_rep, "", "");
KSYMTAB_FUNC(ib_cm_notify, "", "");
KSYMTAB_FUNC(ib_cm_init_qp_attr, "", "");

SYMBOL_CRC(ibcm_reject_msg, 0x69824a14, "");
SYMBOL_CRC(ib_create_cm_id, 0x7a58bd8f, "");
SYMBOL_CRC(ib_destroy_cm_id, 0xfe1dc394, "");
SYMBOL_CRC(ib_cm_listen, 0x7f54fa3d, "");
SYMBOL_CRC(ib_cm_insert_listen, 0x43115d80, "");
SYMBOL_CRC(ib_send_cm_req, 0xb3bff84e, "");
SYMBOL_CRC(ib_send_cm_rep, 0x38ad2282, "");
SYMBOL_CRC(ib_send_cm_rtu, 0x370574b3, "");
SYMBOL_CRC(ib_send_cm_dreq, 0x4eaf0dbd, "");
SYMBOL_CRC(ib_send_cm_drep, 0xd55d4e8e, "");
SYMBOL_CRC(ib_send_cm_rej, 0x30354f5e, "");
SYMBOL_CRC(ib_send_cm_mra, 0x39d1d620, "");
SYMBOL_CRC(ib_send_cm_sidr_req, 0x20575aa3, "");
SYMBOL_CRC(ib_send_cm_sidr_rep, 0x245c9302, "");
SYMBOL_CRC(ib_cm_notify, 0x39f8aca7, "");
SYMBOL_CRC(ib_cm_init_qp_attr, 0xb4a33808, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xca7c2b13, "ib_unregister_client" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x43754578, "ib_init_ah_attr_from_path" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xaca0aef0, "complete" },
	{ 0x13c4a50d, "trace_raw_output_prep" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x93be5a49, "trace_event_printf" },
	{ 0xd169c69c, "trace_event_raw_init" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4d777b39, "rdma_query_gid" },
	{ 0x198ab53f, "ib_port_register_client_groups" },
	{ 0xdaedd3f8, "ib_modify_port" },
	{ 0xca27c875, "bpf_trace_run2" },
	{ 0x6bf0bc5b, "event_triggers_call" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc5449d68, "trace_event_buffer_commit" },
	{ 0xc19e3b7a, "rdma_create_ah" },
	{ 0xf24532d4, "ib_init_ah_attr_from_wc" },
	{ 0xefcdf4ba, "ib_find_cached_pkey" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x9cd4c0c6, "trace_event_ignore_this_pid" },
	{ 0xb9e72d69, "ib_register_client" },
	{ 0x22a5713b, "ib_unregister_mad_agent" },
	{ 0x332e38a8, "ib_post_send_mad" },
	{ 0x723ee245, "ib_create_send_mad" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xc5d84dd, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xfa3652f8, "rdma_destroy_ah_attr" },
	{ 0x607768bb, "ib_set_client_data" },
	{ 0x7a989cb4, "ib_get_cached_pkey" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x8384e242, "rdma_put_gid_attr" },
	{ 0xd8fea321, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa40c7fd, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x1daece6b, "bpf_trace_run1" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xdf536adc, "_dev_warn" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x4b1f9c87, "rdma_destroy_ah_user" },
	{ 0x4203b535, "ib_free_send_mad" },
	{ 0xa3a549e9, "ib_port_unregister_client_groups" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0xe1407f12, "bpf_trace_run3" },
	{ 0xf5625e8b, "rdma_move_ah_attr" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5c9d9b91, "trace_event_buffer_reserve" },
	{ 0xe9319d54, "rdma_find_gid" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe70e184a, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xa13bbf6f, "ib_free_recv_mad" },
	{ 0x190de485, "ib_register_mad_agent" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xa8731641, "kmalloc_trace" },
	{ 0xe4ec57c1, "ib_modify_mad" },
	{ 0x3598d5bb, "ib_create_ah_from_wc" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xb8b8f9e1, "kmalloc_caches" },
	{ 0x1f479d24, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "04ACCD0AF8768B744E08B54");
MODULE_INFO(rhelversion, "9.7");
