#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mpt_fwfault_debug, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_get_num_paths, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg1, "", "");
KSYMTAB_FUNC(mpt_set_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_clear_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_halt_firmware, "", "");
KSYMTAB_FUNC(mpt_Soft_Hard_ResetHandler, "", "");
KSYMTAB_FUNC(mpt_attach, "", "");
KSYMTAB_FUNC(mpt_detach, "", "");
KSYMTAB_DATA(ioc_list, "", "");
KSYMTAB_FUNC(mpt_register, "", "");
KSYMTAB_FUNC(mpt_deregister, "", "");
KSYMTAB_FUNC(mpt_event_register, "", "");
KSYMTAB_FUNC(mpt_event_deregister, "", "");
KSYMTAB_FUNC(mpt_reset_register, "", "");
KSYMTAB_FUNC(mpt_reset_deregister, "", "");
KSYMTAB_FUNC(mpt_device_driver_register, "", "");
KSYMTAB_FUNC(mpt_device_driver_deregister, "", "");
KSYMTAB_FUNC(mpt_get_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame_hi_pri, "", "");
KSYMTAB_FUNC(mpt_free_msg_frame, "", "");
KSYMTAB_FUNC(mpt_send_handshake_request, "", "");
KSYMTAB_FUNC(mpt_verify_adapter, "", "");
KSYMTAB_FUNC(mpt_GetIocState, "", "");
KSYMTAB_FUNC(mpt_print_ioc_summary, "", "");
KSYMTAB_FUNC(mpt_HardResetHandler, "", "");
KSYMTAB_FUNC(mpt_config, "", "");
KSYMTAB_FUNC(mpt_findImVolumes, "", "");
KSYMTAB_FUNC(mpt_alloc_fw_memory, "", "");
KSYMTAB_FUNC(mpt_free_fw_memory, "", "");
KSYMTAB_FUNC(mptbase_sas_persist_operation, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg0, "", "");

SYMBOL_CRC(mpt_fwfault_debug, 0x502108d0, "");
SYMBOL_CRC(mpt_raid_phys_disk_get_num_paths, 0xb7385e7b, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg1, 0x1baff92b, "");
SYMBOL_CRC(mpt_set_taskmgmt_in_progress_flag, 0x7f4ca146, "");
SYMBOL_CRC(mpt_clear_taskmgmt_in_progress_flag, 0x6f5b5283, "");
SYMBOL_CRC(mpt_halt_firmware, 0x28537e11, "");
SYMBOL_CRC(mpt_Soft_Hard_ResetHandler, 0x266ebf64, "");
SYMBOL_CRC(mpt_attach, 0x2e17b7e6, "");
SYMBOL_CRC(mpt_detach, 0x38b84feb, "");
SYMBOL_CRC(ioc_list, 0xdd805159, "");
SYMBOL_CRC(mpt_register, 0x0b141652, "");
SYMBOL_CRC(mpt_deregister, 0x981efe92, "");
SYMBOL_CRC(mpt_event_register, 0x8520f449, "");
SYMBOL_CRC(mpt_event_deregister, 0xe6c1e126, "");
SYMBOL_CRC(mpt_reset_register, 0x61508db0, "");
SYMBOL_CRC(mpt_reset_deregister, 0x610b257e, "");
SYMBOL_CRC(mpt_device_driver_register, 0xf44dd980, "");
SYMBOL_CRC(mpt_device_driver_deregister, 0x74a0134a, "");
SYMBOL_CRC(mpt_get_msg_frame, 0x78df86b6, "");
SYMBOL_CRC(mpt_put_msg_frame, 0x0eb2e7e6, "");
SYMBOL_CRC(mpt_put_msg_frame_hi_pri, 0xe7546cee, "");
SYMBOL_CRC(mpt_free_msg_frame, 0xed09abf0, "");
SYMBOL_CRC(mpt_send_handshake_request, 0x6514db2d, "");
SYMBOL_CRC(mpt_verify_adapter, 0xc08eb6aa, "");
SYMBOL_CRC(mpt_GetIocState, 0x92125259, "");
SYMBOL_CRC(mpt_print_ioc_summary, 0xa924b9c7, "");
SYMBOL_CRC(mpt_HardResetHandler, 0xd3116d7e, "");
SYMBOL_CRC(mpt_config, 0x6ebbc6c7, "");
SYMBOL_CRC(mpt_findImVolumes, 0x244e48a9, "");
SYMBOL_CRC(mpt_alloc_fw_memory, 0x035c8b26, "");
SYMBOL_CRC(mpt_free_fw_memory, 0xe4a9cd6f, "");
SYMBOL_CRC(mptbase_sas_persist_operation, 0xeb4953c7, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg0, 0x4b4999b5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x672144bd, "strlcpy" },
	{ 0x92997ed8, "_printk" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x8bded20f, "zpci_load" },
	{ 0x112af2f3, "seq_printf" },
	{ 0xed6262a5, "pci_stop_and_remove_bus_device_locked" },
	{ 0xf3c77fb6, "dma_free_attrs" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xb3c78464, "pci_select_bars" },
	{ 0x228558c, "pci_enable_device_mem" },
	{ 0x6178144f, "pci_request_selected_regions" },
	{ 0xfa46e01a, "dma_get_required_mask" },
	{ 0x49662613, "dma_set_mask" },
	{ 0x48b05418, "dma_set_coherent_mask" },
	{ 0x89a09837, "ioremap_prot" },
	{ 0x356a560a, "pci_disable_device" },
	{ 0xe8b43f9c, "pci_release_selected_regions" },
	{ 0xda40ec0b, "pci_get_slot" },
	{ 0x61788b91, "pci_dev_put" },
	{ 0x98de1c15, "snprintf" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x236c8c64, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1a7866ac, "remove_proc_entry" },
	{ 0xaca0aef0, "complete" },
	{ 0x37187b2c, "param_set_int" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdb5c16, "dma_alloc_attrs" },
	{ 0x871031c8, "seq_putc" },
	{ 0xbf6769f1, "proc_mkdir" },
	{ 0xc7021222, "proc_create_single_data" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x37a0cba, "kfree" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf1e046cc, "panic" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe798236d, "jiffies" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x22d00fe1, "pci_read_config_word" },
	{ 0x6135a19a, "pci_write_config_word" },
	{ 0x21ba49ce, "pci_enable_device" },
	{ 0x1c5acfdd, "pci_enable_msi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa2453a0c, "pci_set_master" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x1d807b8f, "pci_disable_msi" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0xb8b8f9e1, "kmalloc_caches" },
	{ 0xa8731641, "kmalloc_trace" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xbd3c0b9f, "kthread_create_on_node" },
	{ 0x44801939, "wake_up_process" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xcb79db9d, "pci_read_config_byte" },
	{ 0xd9432772, "pci_write_config_byte" },
	{ 0xedc03953, "iounmap" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x3bd963e2, "param_get_int" },
	{ 0xec114dc5, "param_ops_int" },
	{ 0x1f479d24, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7828C1D34E9186E8929583F");
MODULE_INFO(rhelversion, "9.7");
