#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fc_get_event_number, "", "");
KSYMTAB_FUNC(fc_host_post_fc_event, "", "");
KSYMTAB_FUNC(fc_host_post_event, "", "");
KSYMTAB_FUNC(fc_host_post_vendor_event, "", "");
KSYMTAB_FUNC(fc_find_rport_by_wwpn, "", "");
KSYMTAB_FUNC(fc_host_fpin_rcv, "", "");
KSYMTAB_FUNC(scsi_is_fc_rport, "", "");
KSYMTAB_FUNC(fc_eh_timed_out, "", "");
KSYMTAB_FUNC(fc_attach_transport, "", "");
KSYMTAB_FUNC(fc_release_transport, "", "");
KSYMTAB_FUNC(fc_remove_host, "", "");
KSYMTAB_FUNC(fc_remote_port_add, "", "");
KSYMTAB_FUNC(fc_remote_port_delete, "", "");
KSYMTAB_FUNC(fc_remote_port_rolechg, "", "");
KSYMTAB_FUNC(fc_block_rport, "", "");
KSYMTAB_FUNC(fc_block_scsi_eh, "", "");
KSYMTAB_FUNC(fc_eh_should_retry_cmd, "_gpl", "");
KSYMTAB_FUNC(fc_vport_create, "", "");
KSYMTAB_FUNC(fc_vport_terminate, "", "");

SYMBOL_CRC(fc_get_event_number, 0x375f8bbd, "");
SYMBOL_CRC(fc_host_post_fc_event, 0x34057bf5, "");
SYMBOL_CRC(fc_host_post_event, 0x72a24f9b, "");
SYMBOL_CRC(fc_host_post_vendor_event, 0x484c796e, "");
SYMBOL_CRC(fc_find_rport_by_wwpn, 0x60b6bec5, "");
SYMBOL_CRC(fc_host_fpin_rcv, 0x67da21e4, "");
SYMBOL_CRC(scsi_is_fc_rport, 0x94083bb8, "");
SYMBOL_CRC(fc_eh_timed_out, 0x18676a19, "");
SYMBOL_CRC(fc_attach_transport, 0xa164448a, "");
SYMBOL_CRC(fc_release_transport, 0xdc36f6e4, "");
SYMBOL_CRC(fc_remove_host, 0xf0701d7d, "");
SYMBOL_CRC(fc_remote_port_add, 0x9c7f43ab, "");
SYMBOL_CRC(fc_remote_port_delete, 0x61a43b5b, "");
SYMBOL_CRC(fc_remote_port_rolechg, 0x70c33917, "");
SYMBOL_CRC(fc_block_rport, 0xc255f32b, "");
SYMBOL_CRC(fc_block_scsi_eh, 0xe2f86b57, "");
SYMBOL_CRC(fc_eh_should_retry_cmd, 0xdec0f292, "_gpl");
SYMBOL_CRC(fc_vport_create, 0x80a72b23, "");
SYMBOL_CRC(fc_vport_terminate, 0x1058e35c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x236c8c64, "memcpy" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x28a27d46, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x98de1c15, "snprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x85abc85f, "strncmp" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x11f7ed4c, "hex_to_bin" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x92997ed8, "_printk" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x5b57f43a, "transport_class_register" },
	{ 0x41dc3fb, "transport_class_unregister" },
	{ 0x638d0b51, "scsi_nl_sock" },
	{ 0x28a87d52, "__alloc_skb" },
	{ 0x2b416b72, "__nlmsg_put" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x18e77526, "netlink_broadcast_filtered" },
	{ 0xea8ecdd3, "sk_skb_reason_drop" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xc1f9b235, "scsi_init_limits" },
	{ 0xc13b1ca8, "bsg_setup_queue" },
	{ 0xd1fe204, "blk_queue_rq_timeout" },
	{ 0x5eb0ec00, "_dev_err" },
	{ 0xff97f183, "scsi_is_host_device" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x769a1285, "attribute_container_unregister" },
	{ 0x6903f8e7, "scsi_scan_target" },
	{ 0xb8b8f9e1, "kmalloc_caches" },
	{ 0xa8731641, "kmalloc_trace" },
	{ 0x37f440cd, "attribute_container_register" },
	{ 0xf9022d46, "bsg_remove_queue" },
	{ 0xed16d643, "scsi_target_unblock" },
	{ 0xdaf28682, "scsi_remove_target" },
	{ 0x1a7fd9c1, "sysfs_remove_link" },
	{ 0xdccad05b, "transport_remove_device" },
	{ 0xaae6e5db, "device_del" },
	{ 0x4479df76, "transport_destroy_device" },
	{ 0x1a5f8241, "scsi_host_put" },
	{ 0x204d6804, "_dev_printk" },
	{ 0xb3ffe8df, "scsi_flush_work" },
	{ 0x5654cd6, "scsi_is_target_device" },
	{ 0xf9a482f9, "msleep" },
	{ 0x69d90aca, "scsi_block_targets" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xe4cee01b, "scsi_host_get" },
	{ 0xa8dfddd1, "device_initialize" },
	{ 0x55b0b163, "get_device" },
	{ 0x60f35fdd, "dev_set_name" },
	{ 0xb8e914bf, "transport_setup_device" },
	{ 0x2e0f3d1a, "device_add" },
	{ 0x9280a42d, "transport_add_device" },
	{ 0x9ae5721, "transport_configure_device" },
	{ 0xa994defd, "sysfs_create_link" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x44961498, "scsi_queue_work" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x3eac608, "bsg_job_get" },
	{ 0xf8cf78d4, "blk_mq_end_request" },
	{ 0xd4829189, "bsg_job_put" },
	{ 0xe223bf31, "bsg_job_done" },
	{ 0xb7720f07, "blk_mq_run_hw_queues" },
	{ 0xf52f14fb, "param_ops_uint" },
	{ 0x1f479d24, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3B714A4D6D5ECC02EB1878D");
MODULE_INFO(rhelversion, "9.7");
