#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_session, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0x92cb35f9, "_gpl");
SYMBOL_CRC(l2tp_tunnel_inc_refcount, 0x34ea492a, "_gpl");
SYMBOL_CRC(l2tp_tunnel_dec_refcount, 0x9a932e1c, "_gpl");
SYMBOL_CRC(l2tp_session_inc_refcount, 0xc9c74d7d, "_gpl");
SYMBOL_CRC(l2tp_session_dec_refcount, 0x539d2094, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0x93568b2e, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_nth, 0xde38b7fb, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_session, 0xada24f94, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0x2a5dee1a, "_gpl");
SYMBOL_CRC(l2tp_session_get_nth, 0xd34dccf3, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0xd7685bf3, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0xf9310f85, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0x0355d37c, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0x46511cc7, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0x49eacf62, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0xb03c3741, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0xc7cd9308, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0x5b172190, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0x502e0980, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0x4d8750ce, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0x1db16f0d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xc5d84dd, "perf_trace_run_bpf_submit" },
	{ 0x5c9d9b91, "trace_event_buffer_reserve" },
	{ 0xc5449d68, "trace_event_buffer_commit" },
	{ 0x6bf0bc5b, "event_triggers_call" },
	{ 0x9cd4c0c6, "trace_event_ignore_this_pid" },
	{ 0x13c4a50d, "trace_raw_output_prep" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x93be5a49, "trace_event_printf" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x1daece6b, "bpf_trace_run1" },
	{ 0xca27c875, "bpf_trace_run2" },
	{ 0xce6d50ef, "udp_sock_create6" },
	{ 0xfbce884e, "kernel_sock_shutdown" },
	{ 0x1b9f72, "sock_release" },
	{ 0x26ec41be, "sock_create_kern" },
	{ 0x76479582, "kernel_bind" },
	{ 0x81e5761d, "kernel_connect" },
	{ 0xf78a4066, "udp_sock_create4" },
	{ 0xbc33ffe, "register_pernet_device" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x92997ed8, "_printk" },
	{ 0x7179b253, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x236c8c64, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3761d215, "idr_find" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb8b8f9e1, "kmalloc_caches" },
	{ 0xa8731641, "kmalloc_trace" },
	{ 0x38762c8, "idr_get_next_ul" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x1165617b, "sk_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xea8ecdd3, "sk_skb_reason_drop" },
	{ 0xe317253e, "skb_dequeue" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x38493a8b, "idr_alloc_u32" },
	{ 0xe0793488, "sockfd_lookup" },
	{ 0xd796b8e2, "lock_sock_nested" },
	{ 0xd7b7bad7, "release_sock" },
	{ 0xac4a720, "fput" },
	{ 0x8d0fd4ef, "idr_replace" },
	{ 0x839fb1f6, "setup_udp_tunnel_sock" },
	{ 0xe798236d, "jiffies" },
	{ 0xa4b989bf, "skb_queue_tail" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xab18827b, "__pskb_pull_tail" },
	{ 0xbc9660f9, "pskb_expand_head" },
	{ 0x10820d95, "udp_set_csum" },
	{ 0x92344a41, "ip_queue_xmit" },
	{ 0xd80c327b, "udp6_set_csum" },
	{ 0x61de22d5, "inet6_csk_xmit" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x376e4451, "dst_release" },
	{ 0xa40c7fd, "trace_event_reg" },
	{ 0xd169c69c, "trace_event_raw_init" },
	{ 0x1f479d24, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "427053ADB1A28164DF57193");
MODULE_INFO(rhelversion, "9.7");
