#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin_locked, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin_locked, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_fbdev_shmem_setup, "", "");

SYMBOL_CRC(drm_gem_shmem_create, 0x7051660f, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0x4fff0be2, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0x5c709c97, "");
SYMBOL_CRC(drm_gem_shmem_pin_locked, 0x2a6e92cd, "");
SYMBOL_CRC(drm_gem_shmem_unpin_locked, 0xae030c6c, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0x44d3e4be, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0xafd7dfd7, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0xc3499da3, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0x467aaba2, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0xdbcbf9b0, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0xae5cd98c, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0xdf407a7c, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0x23cc11cb, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0xb1b99c49, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0x1fa46388, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0xae56e339, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0x39d8dada, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0x1c0794f7, "_gpl");
SYMBOL_CRC(drm_fbdev_shmem_setup, 0x905531b1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6c2a52b, "drm_client_register" },
	{ 0x94fd7c47, "try_module_get" },
	{ 0x363dccaf, "drm_fb_helper_init" },
	{ 0x653a2f9, "drm_fb_helper_debug_enter" },
	{ 0x210d3759, "ww_mutex_lock_interruptible" },
	{ 0xcc096880, "vmf_insert_pfn" },
	{ 0x4d9e207d, "vmemmap" },
	{ 0xa744e588, "drm_gem_get_pages" },
	{ 0x32ab9ef5, "dma_buf_vmap" },
	{ 0x250abe26, "drm_client_buffer_vmap" },
	{ 0xe0abb017, "drm_fb_helper_lastclose" },
	{ 0xb6921e3f, "drm_fb_helper_setcmap" },
	{ 0x4a687e9d, "drm_fb_helper_alloc_info" },
	{ 0x7483883c, "drm_helper_disable_unused_functions" },
	{ 0x6363f0bb, "drm_fb_helper_unprepare" },
	{ 0x43a4938f, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x72a38c9e, "drm_fb_helper_fini" },
	{ 0x97897ece, "drm_client_framebuffer_delete" },
	{ 0x8a7fab07, "drm_client_framebuffer_create" },
	{ 0x84c3ef19, "invalidate_mapping_pages" },
	{ 0x8042838e, "ww_mutex_unlock" },
	{ 0xb2b025c, "drm_fb_helper_deferred_io" },
	{ 0x95cd0009, "drm_fb_helper_release_info" },
	{ 0xd384317e, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0xd7cc4a5c, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xbcb68cc3, "drm_driver_legacy_fb_format" },
	{ 0xdba90aee, "drm_fb_helper_fill_info" },
	{ 0xa8c6214a, "drm_gem_create_mmap_offset" },
	{ 0xa81f3877, "fb_deferred_io_init" },
	{ 0x2aeee969, "fb_deferred_io_cleanup" },
	{ 0x2e5ad48b, "drm_gem_object_init" },
	{ 0xb69df815, "dev_driver_string" },
	{ 0x6ec00aa3, "drm_fb_helper_hotplug_event" },
	{ 0x16b47286, "fb_sys_write" },
	{ 0xb13d0383, "sys_imageblit" },
	{ 0xea705a71, "drm_fb_helper_damage_range" },
	{ 0x46c7799d, "drm_fb_helper_blank" },
	{ 0xd4733f0b, "drm_gem_private_object_init" },
	{ 0xa4aede2d, "drm_fb_helper_check_var" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1332264e, "drm_fb_helper_damage_area" },
	{ 0xbba72e6f, "sys_fillrect" },
	{ 0x94c1822a, "module_put" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x770dbb2c, "drm_client_init" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x9fd5d643, "drm_gem_vm_close" },
	{ 0x9d2eedc8, "drm_gem_vm_open" },
	{ 0x519d24db, "drm_fb_helper_prepare" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x5eb0ec00, "_dev_err" },
	{ 0xd2510a63, "up_write" },
	{ 0xaa5de3db, "drm_gem_object_release" },
	{ 0x821e19b5, "ww_mutex_lock" },
	{ 0x7d7d624b, "vmap" },
	{ 0x20852193, "drm_gem_handle_create" },
	{ 0xe849220e, "drm_gem_fb_get_obj" },
	{ 0x888f85ab, "__drm_dev_dbg" },
	{ 0x5f43915, "drm_prime_pages_to_sg" },
	{ 0xb174ee2e, "fb_deferred_io_mmap" },
	{ 0x8bad4ff4, "pgprot_writecombine" },
	{ 0x11e8ffdb, "drm_fb_helper_pan_display" },
	{ 0x9b39a206, "dma_buf_vunmap" },
	{ 0xfbe9f2e, "drm_client_release" },
	{ 0xd00d5c27, "sys_copyarea" },
	{ 0x761735f, "shmem_truncate_range" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x16f7f709, "dma_map_sgtable" },
	{ 0x518d3995, "drm_gem_free_mmap_offset" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcff789d9, "drm_client_buffer_vunmap" },
	{ 0xc05fff86, "fb_sys_read" },
	{ 0xbaedb844, "drm_fb_helper_debug_leave" },
	{ 0x28d90ab3, "dma_unmap_sg_attrs" },
	{ 0xa8731641, "kmalloc_trace" },
	{ 0x9881965b, "drm_fb_helper_initial_config" },
	{ 0x5147b179, "drm_fb_helper_unregister_info" },
	{ 0xbfdb086f, "drm_gem_put_pages" },
	{ 0xa495d75e, "drm_gem_private_object_fini" },
	{ 0xb8b8f9e1, "kmalloc_caches" },
	{ 0x312bbc37, "drm_fb_helper_ioctl" },
	{ 0x705a0052, "drm_fb_helper_set_par" },
	{ 0x869933dc, "drm_prime_gem_destroy" },
	{ 0x1f479d24, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper,fb,fb_sys_fops,sysimgblt,sysfillrect,syscopyarea");


MODULE_INFO(srcversion, "5CBE2D0A70DC150E0CC6E9B");
MODULE_INFO(rhelversion, "9.7");
